SavepointTest (jTDS API)
Keywords: net.sourceforge.jtds.test.SavepointTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class SavepointTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.SavepointTest

All Implemented Interfaces:
  junit.framework.Test

public class SavepointTest
extends TestBase

Version:
  1.0

Field Summary

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`SavepointTest(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `testSavepoint1()` tests if rolling back to a savepoint restores the correct DB state
`void` | `testSavepoint2()` rollback zu einem savepoint, dann test, ob weiter mit dem safepoint-objekt gearbeitet werden kann
`void` | `testSavepoint3()`
`void` | `testSavepoint4()` Test to ensure savepoint ids restart at 1.
`void` | `testSavepoint5()` Test to ensure savepoints can be created even when no statements have been issued.
`void` | `testSavepoint6()` test for bug [2818256] ensure a savepoint is still valid after rollback
`void` | `testSavepoint7()` roll back to one savepoint and ensure earlier savepoints are still valid
`void` | `testSavepoint8()` Test to ensure savepoints cannot be created in auto-commit mode (Bug [2021839]).
`void` | `testSavepoint9()` Test for bug [2021839], connection is rolled back instead of being committed if setSavepoint is the first operation.

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SavepointTest

    public SavepointTest(java.lang.String name)

Method Detail

### testSavepoint1

    public void testSavepoint1()
                        throws java.lang.Exception

  tests if rolling back to a savepoint restores the correct DB state

  Throws:
    `java.lang.Exception`

### testSavepoint2

    public void testSavepoint2()
                        throws java.lang.Exception

  rollback zu einem savepoint, dann test, ob weiter mit dem safepoint-objekt gearbeitet werden kann

  Throws:
    `java.lang.Exception`

### testSavepoint3

    public void testSavepoint3()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSavepoint4

    public void testSavepoint4()
                        throws java.lang.Exception

  Test to ensure savepoint ids restart at 1. Also ensures that the procedure cache is managed properly with savepoints.

  Throws:
    `java.lang.Exception`

### testSavepoint5

    public void testSavepoint5()
                        throws java.lang.Exception

  Test to ensure savepoints can be created even when no statements have been issued.

  Throws:
    `java.lang.Exception`

### testSavepoint6

    public void testSavepoint6()
                        throws java.lang.Exception

  test for bug [2818256] ensure a savepoint is still valid after rollback

  Throws:
    `java.lang.Exception`

### testSavepoint7

    public void testSavepoint7()
                        throws java.lang.Exception

  roll back to one savepoint and ensure earlier savepoints are still valid

  Throws:
    `java.lang.Exception`

### testSavepoint8

    public void testSavepoint8()

  Test to ensure savepoints cannot be created in auto-commit mode (Bug [2021839]).

### testSavepoint9

    public void testSavepoint9()
                        throws java.lang.Exception

  Test for bug [2021839], connection is rolled back instead of being committed if setSavepoint is the first operation.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009